Bug 1918716 - Manilacsi becomes degraded even though it is not available with the underlying Openstack
Summary: Manilacsi becomes degraded even though it is not available with the underlyin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6.z
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.7.0
Assignee: Mike Fedosin
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-21 13:14 UTC by Ilan Green
Modified: 2021-07-22 11:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift csi-driver-manila-operator pull 85 0 None closed Bug 1918716: increase Keystone timeout to 2 minutes 2021-02-21 08:31:51 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:55:38 UTC

Description Ilan Green 2021-01-21 13:14:48 UTC
Description of problem:
Openshift install fails to complete having ManilaCSI in degraded mode even though Manila service is not available at all on the underlying RH Openstack cluster
Version-Release number of selected component (if applicable):
Openshift 4.6.9

How reproducible:
Install Openshift 4.6.9 on an rh openstack cluter

Steps to Reproduce:
1.
2.
3.

Actual results:
Storage operator in degraded mode

Expected results:

Master Log:
Successful installation
Node Log (of failed PODs):

PV Dump:

PVC Dump:

StorageClass Dump (if StorageClass used by PV/PVC):

Additional info:

Comment 4 weiwei jiang 2021-01-26 05:40:08 UTC
Checked with 4.7.0-0.nightly-2021-01-25-231006 and can not reproduce this issue, move to verified.

./openshift-install 4.7.0-0.nightly-2021-01-25-231006
built from commit cf96401a6d19c53df146ee454dbd9b21eb83e21b
release image registry.ci.openshift.org/ocp/release@sha256:5c07fdbc1cd031893ca1eed54673f3202b17678b69e5ba43dfdc0c46a675d7ae

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-01-25-231006   True        False         80m     Cluster version is 4.7.0-0.nightly-2021-01-25-231006


$ oc get co 
NAME                                       VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
authentication                             4.7.0-0.nightly-2021-01-25-231006   True        False         False      81m
baremetal                                  4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
cloud-credential                           4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
cluster-autoscaler                         4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
config-operator                            4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
console                                    4.7.0-0.nightly-2021-01-25-231006   True        False         False      75m
csi-snapshot-controller                    4.7.0-0.nightly-2021-01-25-231006   True        False         False      73m
dns                                        4.7.0-0.nightly-2021-01-25-231006   True        False         False      103m
etcd                                       4.7.0-0.nightly-2021-01-25-231006   True        False         False      102m
image-registry                             4.7.0-0.nightly-2021-01-25-231006   True        False         False      78m
ingress                                    4.7.0-0.nightly-2021-01-25-231006   True        False         False      95m
insights                                   4.7.0-0.nightly-2021-01-25-231006   True        False         False      98m
kube-apiserver                             4.7.0-0.nightly-2021-01-25-231006   True        False         False      101m
kube-controller-manager                    4.7.0-0.nightly-2021-01-25-231006   True        False         False      102m
kube-scheduler                             4.7.0-0.nightly-2021-01-25-231006   True        False         False      100m
kube-storage-version-migrator              4.7.0-0.nightly-2021-01-25-231006   True        False         False      76m
machine-api                                4.7.0-0.nightly-2021-01-25-231006   True        False         False      99m
machine-approver                           4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
machine-config                             4.7.0-0.nightly-2021-01-25-231006   True        False         False      103m
marketplace                                4.7.0-0.nightly-2021-01-25-231006   True        False         False      73m
monitoring                                 4.7.0-0.nightly-2021-01-25-231006   True        False         False      92m
network                                    4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
node-tuning                                4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
openshift-apiserver                        4.7.0-0.nightly-2021-01-25-231006   True        False         False      96m
openshift-controller-manager               4.7.0-0.nightly-2021-01-25-231006   True        False         False      96m
openshift-samples                          4.7.0-0.nightly-2021-01-25-231006   True        False         False      96m
operator-lifecycle-manager                 4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
operator-lifecycle-manager-catalog         4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
operator-lifecycle-manager-packageserver   4.7.0-0.nightly-2021-01-25-231006   True        False         False      74m
service-ca                                 4.7.0-0.nightly-2021-01-25-231006   True        False         False      104m
storage                                    4.7.0-0.nightly-2021-01-25-231006   True        False         False      74m


$ oc get co storage -o yaml | grep -i ^status -A 28
status:
  conditions:
  - lastTransitionTime: "2021-01-26T03:53:31Z"
    message: |-
      ManilaCSIDriverOperatorCRDegraded: All is well
      OpenStackCinderCSIDriverOperatorCRDegraded: All is well
    reason: AsExpected
    status: "False"
    type: Degraded
  - lastTransitionTime: "2021-01-26T04:23:30Z"
    message: |-
      ManilaCSIDriverOperatorCRProgressing: All is well
      OpenStackCinderCSIDriverOperatorCRProgressing: All is well
    reason: AsExpected
    status: "False"
    type: Progressing
  - lastTransitionTime: "2021-01-26T04:23:49Z"
    message: |-
      ManilaCSIDriverOperatorCRAvailable: All is well
      OpenStackCinderCSIDriverOperatorCRAvailable: All is well
    reason: AsExpected
    status: "True"
    type: Available
  - lastTransitionTime: "2021-01-26T03:53:55Z"
    message: All is well
    reason: AsExpected
    status: "True"
    type: Upgradeable
  extension: null

Comment 16 errata-xmlrpc 2021-02-24 15:55:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.